package zone.oat.supersecretrevival.mixin;

import net.minecraft.client.gui.screen.Screen;
import net.minecraft.client.gui.screen.option.OnlineOptionsScreen;
import net.minecraft.client.gui.screen.option.OptionsScreen;
import net.minecraft.client.gui.widget.ButtonWidget;
import net.minecraft.text.Text;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;
import zone.oat.supersecretrevival.Mod;

@Mixin(OptionsScreen.class)
public class SecretSettingsButtonMixin extends Screen {
    protected SecretSettingsButtonMixin(Text title) {
        super(title);
    }

    @Inject(at = @At("HEAD"),method = "init")
    private void injected(CallbackInfo ci) {
        ButtonWidget b = ButtonWidget.builder(Mod.BUTTON_TEXT, (button) -> {
            Mod.triggerSuperSecretSettings();
        }).dimensions(this.width / 2 + 5, this.height / 6 + 18, 150, 20).build();
        this.addDrawableChild(b);
    }
}
