package zone.oat.supersecretrevival.mixin;

import net.minecraft.client.render.GameRenderer;
import net.minecraft.util.Identifier;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.gen.Accessor;
import org.spongepowered.asm.mixin.gen.Invoker;
import net.minecraft.util.math.random.Random;

@Mixin(GameRenderer.class)
public interface GameRendererAccessorMixin {
  @Accessor
  Random getRandom();

  @Accessor("SUPER_SECRET_SETTING_PROGRAMS")
  public static Identifier[] getShaderLocations() {
    throw new AssertionError();
  }

  @Invoker("loadPostProcessor")
  public void invokeLoadShader(Identifier id);
}
